## com.puppycrawl.tools.checkstyle.checks.j2ee
Class PersistenceOption

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.AbstractOption
          com.puppycrawl.tools.checkstyle.checks.j2ee.PersistenceOption

All Implemented Interfaces:
  Serializable

    public final class PersistenceOption

extends AbstractOption

Represents the policy for checking entity bean restrictions according to whether persistence is bean-managed, container-managed, or mixed.

Author:
  Rick Giles
See Also:
  Serialized Form

Field Summary
`static PersistenceOption` `BEAN` Represents the bean-managed persistence policy.
`static PersistenceOption` `CONTAINER` Represents the container-managed persistence policy.
`static PersistenceOption` `MIXED` Represents the policy that the persistence management may be bean-managed or container-managed.

Method Summary
`protected Map` `getStrToOpt()` Returns the map from string representations to options.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.AbstractOption
`decode, readResolve, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MIXED

    public static final PersistenceOption MIXED

  Represents the policy that the persistence management may be bean-managed or container-managed.

### BEAN

    public static final PersistenceOption BEAN

  Represents the bean-managed persistence policy.

### CONTAINER

    public static final PersistenceOption CONTAINER

  Represents the container-managed persistence policy.

Method Detail

### getStrToOpt

    protected Map getStrToOpt()

  Returns the map from string representations to options.

  Specified by:
    `getStrToOpt` in class `AbstractOption`
  Returns:
    `Map` from strings to options.

Back to the Checkstyle Home Page